/*  $Id: mzmain.h,v 1.1.1.1 2000/03/26 13:06:32 marukun Exp $ */

#ifdef __cplusplus
extern "C" {
#endif 

// State file format....
// HEADER
//--------------------
// UINT32 size of block (0 == END of DATA)
// UINT16 block number
// Block data...
//--------------------
// UINT32 size of block (0 == END of DATA)
// UINT16 block number
// Block data...
//--------------------

enum
{
	MZSBLK_z80 = 0,
	MZSBLK_ts700,
	MZSBLK_hw700,
	MZSBLK_8253dat,
	MZSBLK_8253stat,
	MZSBLK_mainram,
	MZSBLK_textvram,
	MZSBLK_colorvram,
	MZSBLK_pcg700_font,
	MZSBLK_mz1r12,

	MZSBLK_MZ700,

	MZSBLK_ts1500 = 16,
	MZSBLK_hw1500,
	MZSBLK_z80pio,
	MZSBLK_pcgvram,
	MZSBLK_atrvram,
	MZSBLK_psg,
	MZSBLK_pcg1500_blue,
	MZSBLK_pcg1500_red,
	MZSBLK_pcg1500_green,
	MZSBLK_palet,
	MZSBLK_mz1r18,

	MZSBLK_MZ1500,
	
	MZSBLK_EOD = 0xFFFE,	// END OF DATA
};

// State file header
typedef struct
{
	UINT8	name[16];
	int		rom1;
	int		rom2;
} TMZS_HEAD;



//------------------
int mz_alloc_mem(void);
void mz_free_mem(void);

//------------------
int rom_load(unsigned char *);
void bios_patch(const TPATCH *patch_dat);
int set_romtype(void);

BOOL save_state(LPCSTR filename);
BOOL load_state(LPCSTR filename);

void mainloop(void);
int create_thread(void);
void start_thread(void);
int end_thread(void);
WINAPI scrn_thread(LPVOID);

#ifdef __cplusplus
}
#endif 
